#[ ZACATEK SOUBORU ]#

#DEF <SCHEMA>    frontsql
#DEF <PRIMARYKEY> i_osoba
#DEF <TABLENAME> osoba

#[ CREATE TABLE ZACATEK ]#
    n_osoba character varying(45) COLLATE pg_catalog."default",
    prfi character varying(45) COLLATE pg_catalog."default" NOT NULL,
    meno character varying(45) COLLATE pg_catalog."default",
    titul character varying(8) COLLATE pg_catalog."default",
    i_obec integer,
    ulica text COLLATE pg_catalog."default",
    ico character varying(16) COLLATE pg_catalog."default",
    dic character varying(16) COLLATE pg_catalog."default",
    icdph character varying(16) COLLATE pg_catalog."default",
    ob_re text COLLATE pg_catalog."default",
    pozn text COLLATE pg_catalog."default",
    poradie integer DEFAULT 9999,
    zmaz boolean DEFAULT false,
    c_user smallint,
    datcas timestamp without time zone DEFAULT '1971-01-01 00:00:00'::timestamp without time zone,
    bucet character varying(45) COLLATE pg_catalog."default",
    kod_ban character(4) COLLATE pg_catalog."default",
    iban character varying(45) COLLATE pg_catalog."default",
    swiftcode character varying(45) COLLATE pg_catalog."default",
    psc character(10) COLLATE pg_catalog."default",
    pas character varying(45) COLLATE pg_catalog."default",
    obec character varying(45) COLLATE pg_catalog."default",
    d_nar date,
    m_nar character varying(45) COLLATE pg_catalog."default",
    i_jazyk integer,
    t_doklad character varying(10) COLLATE pg_catalog."default",
    c_doklad character varying(45) COLLATE pg_catalog."default",
    i_stat integer,
    i_stat_obc integer,
    ucel_pobyt character varying(60) COLLATE pg_catalog."default",
    spz character varying(30) COLLATE pg_catalog."default",
    c_vizum character varying(60) COLLATE pg_catalog."default",
    vizum_udel character varying(45) COLLATE pg_catalog."default",
    tel character varying(45) COLLATE pg_catalog."default",
    fax character varying(45) COLLATE pg_catalog."default",
    email character varying(45) COLLATE pg_catalog."default",
    t_vizum character varying(45) COLLATE pg_catalog."default",
    dni_vizum integer,
    hrp_vizum character varying(60) COLLATE pg_catalog."default",
    mobil character varying(60) COLLATE pg_catalog."default",
    to_kl integer,
    to_ko integer,
    to_zo integer,
    to_vy integer,
    to_do integer,
    to_uz integer,
    fo integer,
    login character varying(60) COLLATE pg_catalog."default",
    heslo character varying(60) COLLATE pg_catalog."default",
    web character varying(100) COLLATE pg_catalog."default",
    i_osoba SERIAL,
    CONSTRAINT pk_i_osoba PRIMARY KEY (i_osoba)
#[ CREATE TABLE KONEC ]#

#[ IF EXIST ZACATEK ]#
#[ PRIMARYKEY ]#
END IF;
#[ KONEC SOUBORU ]#